CREATE TABLE `sys_setting` (
                               `id` bigint NOT NULL,
                               `school_id` bigint NOT NULL COMMENT '学校Id',
                               `parameter_object` MEDIUMTEXT NOT NULL COMMENT '参数对象（json）',
                               `create_id` bigint DEFAULT NULL COMMENT '创建人',
                               `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                               `update_id` bigint DEFAULT NULL COMMENT '更新人',
                               `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                               PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='系统设置';

INSERT INTO `sys_role` (`id`, `school_id`, `name`, `enable`, `type`) VALUES ('3', '1', '赋分老师', '1', 'ASSIGN');

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('45', '赋分管理', 'AssignManage', 'MENU', '4', '0', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('46', '赋分试算', 'AssignCalc', 'MENU', '45', '1', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('47', '赋分列表查询', '/api/assign/page', 'URL', '45', '1', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('48', '赋分列表详情', '/api/assign/detail', 'URL', '45', '2', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('49', '赋分计算', '/api/assign/calc', 'URL', '45', '3', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('50', '赋分计算结果查询', '/api/assign/result', 'URL', '45', '4', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('51', '赋分计算结果对比', '/api/assign/contrast', 'URL', '45', '5', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('52', '同步结果查询', '/api/sync_task/page', 'URL', '33', '1', 'SYS', '1', '1', '1');


INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('45', '3', '45', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('46', '3', '46', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('47', '3', '47', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('48', '3', '48', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('49', '3', '49', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('50', '3', '50', '1');
INSERT INTO `sys_role_privilege` (`id`, `role_id`, `privilege_id`, `enable`) VALUES ('51', '3', '51', '1');

CREATE TABLE `exam_assign` (
     `id` BIGINT(20) NOT NULL,
     `school_id` BIGINT(20) NULL,
     `semester_id` BIGINT(20) NULL,
     `exam_type_id` BIGINT(20) NULL,
     `course_code` VARCHAR(45) NULL,
     `course_name` VARCHAR(100) NULL,
     `formula` VARCHAR(45) NULL COMMENT '公式类型（类型1或者类型2）',
     `coefficient` MEDIUMTEXT NULL COMMENT '系统对象（json格式）',
     `create_id` BIGINT(20) NULL,
     `create_time` BIGINT(20) NULL,
     `update_id` BIGINT(20) NULL,
     `update_time` BIGINT(20) NULL,
     PRIMARY KEY (`id`));
